# -*- coding: utf-8 -*-
"""
Spyder Editor

This is a temporary script file.
"""
import matplotlib.pyplot as plt
from modelicares import SimRes

plt.rc('text', usetex=True)
plt.close('all')


Krypton = SimRes('./Krypton_resp15heures.mat')
print(Krypton.names())
Plomb = SimRes('./Plomb_res.mat')
print(Plomb.names())
#Turbinage = SimRes('./MesTests/CAES_Flo.Simulations.Turbinage/CAES_Flo.Simulations.Turbinage_res.mat')
#print(Stockage.names())
#Turbinage2 = SimRes('./MesTests/CAES_Flo.Simulations.TurbinageRecyclage/CAES_Flo.Simulations.TurbinageRecyclage_res.mat')

TimeK=Krypton['Time'].values()
NKr93=Krypton['N1'].values()
NRb93=Krypton['N2'].values()
NSr93=Krypton['N3'].values()
NY93=Krypton['N4'].values()
NZr93=Krypton['N5'].values()
NNb93=Krypton['N6'].values()

AKr93=Krypton['A1'].values()
ARb93=Krypton['A2'].values()
ASr93=Krypton['A3'].values()
AY93=Krypton['A4'].values()
AZr93=Krypton['A5'].values()

TimeP=Plomb['Time'].values()
NPb212=Plomb['N1'].values()
NBi212=Plomb['N2'].values()
NPo212=Plomb['N3'].values()
NTl208=Plomb['N4'].values()
NPb208=Plomb['N5'].values()

APb212=Plomb['A1'].values()
ABi212=Plomb['A2'].values()
APo212=Plomb['A3'].values()
ATl208=Plomb['A4'].values()


fifi=plt.figure()
ax=fifi.gca()
ax.plot((TimeK)*60,NKr93,label=r'$^{93}Kr$')
ax.plot((TimeK)*60,NRb93,label=r'$^{93}Rb$')
ax.plot((TimeK)*60,NSr93,label=r'$^{93}Sr$')
ax.plot((TimeK)*60,NY93,label=r'$^{93}Y$')
ax.plot((TimeK)*60,NZr93,label=r'$^{93}Zr$')
ax.plot((TimeK)*60,NNb93,label=r'$^{93}Nb$')
#ax.plot((TimeK)*60,NKr93+NRb93+NSr93+NY93+NZr93+NNb93)
ax.set_xlabel('Temps (minutes)')
ax.set_ylabel('N')
ax.grid()
ax.legend(loc="upper right")
ax.set_yscale('log')
ax.set_xlim(left=0,right=10)
ax.set_ylim(bottom=1e-8,top=1e-3)

fifi2=plt.figure()
ax=fifi2.gca()
ax.plot((TimeK)*60,AKr93,label=r'$^{93}Kr$')
ax.plot((TimeK)*60,ARb93,label=r'$^{93}Rb$')
ax.plot((TimeK)*60,ASr93,label=r'$^{93}Sr$')
ax.plot((TimeK)*60,AY93,label=r'$^{93}Y$')
ax.plot((TimeK)*60,AZr93,label=r'$^{93}Zr$')
ax.plot((TimeK)*60,AKr93+ARb93+ASr93+AY93+AZr93,label='Total')
ax.set_xlabel('Temps (minutes)')
ax.set_ylabel('A')
ax.grid()
ax.legend(loc="upper right")
ax.set_yscale('log')
ax.set_xlim(left=0,right=2)
ax.set_ylim(bottom=1e-6,top=3)

fifi.savefig("KryptonN.pdf",dpi=1200)
fifi2.savefig("KryptonA.pdf",dpi=1200)

fifi3=plt.figure()
ax=fifi3.gca()
ax.plot((TimeP)/60,NPb212,label=r'$^{212}Pb$')
ax.plot((TimeP)/60,NBi212,label=r'$^{212}Bi$')
ax.plot((TimeP)/60,NPo212,label=r'$^{212}Po$')
ax.plot((TimeP)/60,NTl208,label=r'$^{208}Tl$')
ax.plot((TimeP)/60,NPb208,label=r'$^{208}Pb$')
ax.set_xlabel('Temps (heures)')
ax.set_ylabel('N')
ax.grid()
ax.legend(loc="upper right")
ax.set_yscale('log')
ax.set_xlim(left=0,right=20)
ax.set_ylim(bottom=1e-10,top=2e3)

fifi4=plt.figure()
ax=fifi4.gca()
ax.plot((TimeP)/60,APb212,label=r'$^{212}Pb$')
ax.plot((TimeP)/60,ABi212,label=r'$^{212}Bi$')
ax.plot((TimeP)/60,APo212,label=r'$^{212}Po$')
ax.plot((TimeP)/60,ATl208,label=r'$^{208}Tl$')
ax.plot((TimeP)/60,APb212+ABi212+APo212+ATl208,label='Total')
ax.set_xlabel('Temps (heures)')
ax.set_ylabel('A')
ax.grid()
ax.legend(loc="upper right")
ax.set_yscale('log')
ax.set_xlim(left=0,right=20)
ax.set_ylim(bottom=1e-2,top=3)
fifi3.savefig("PlombN.pdf",dpi=1200)
fifi4.savefig("PlombA.pdf",dpi=1200)