model Krypton

parameter Real T1=1.286/3600;
parameter Real T2=5.84/3600;
parameter Real T3=7.423/60;
parameter Real T4=10.18;
parameter Real T5=1.53e6*365*24;

Real N1(start=T1/log(2));
Real N2(start=Modelica.Constants.eps);
Real N3(start=Modelica.Constants.eps);
Real N4(start=Modelica.Constants.eps);
Real N5(start=Modelica.Constants.eps);
Real N6(start=Modelica.Constants.eps);
Real A1,A2,A3,A4,A5,Atot;

equation
A1=log(2)/T1 * N1;
A2=log(2)/T2 * N2;
A3=log(2)/T3 * N3;
A4=log(2)/T4 * N4;
A5=log(2)/T5 * N5;

der(N1)=-A1;
der(N2)=+A1-A2;
der(N3)=+A2-A3;
der(N4)=+A3-A4;
der(N5)=+A4-A5;
der(N6)=+A5;

Atot=A1+A2+A3+A4+A5;
end Krypton;