model Plomb

parameter Real T1=10.64*60;
parameter Real T2=60.55;
parameter Real T3=299e-9/60;
parameter Real T4=3.05;
parameter Real Po=64.07/100;
parameter Real Tl=35.93/100;

Real N1(start=T1/log(2));
Real N2(start=Modelica.Constants.eps);
Real N3(start=Modelica.Constants.eps);
Real N4(start=Modelica.Constants.eps);
Real N5(start=Modelica.Constants.eps);
Real A1,A2,A3,A4,Atot;

equation
A1=log(2)/T1 * N1;
A2=log(2)/T2 * N2;
A3=log(2)/T3 * N3;
A4=log(2)/T4 * N4;

der(N1)=-A1;
der(N2)=+A1-A2;
der(N3)=+A2*Po-A3;
der(N4)=+A2*Tl-A4;
der(N5)=+A4+A3;

Atot=A1+A2+A3+A4;
end Plomb;