model Uranium

parameter Real T1=4.5e9;
parameter Real T2=24/365;
parameter Real T3=6.7/(365*24);
parameter Real T4=2.5e5;
parameter Real T5=8e4;
parameter Real T6=1622;
parameter Real T7=3.8/365;
parameter Real T8=3.1/(365*24*60);
parameter Real T9=27/(365*24*60);
parameter Real T10=19.7/(365*24*60);
parameter Real T11=0.16/(365*24*60*60*1000);
parameter Real T12=22;
parameter Real T13=5/(365);
parameter Real T14=138/(365);

Real N1(start=T1/log(2));
Real N2(start=Modelica.Constants.eps);
Real N3(start=Modelica.Constants.eps);
Real N4(start=Modelica.Constants.eps);
Real N5(start=Modelica.Constants.eps);
Real N6(start=Modelica.Constants.eps);
Real N7(start=Modelica.Constants.eps);
Real N8(start=Modelica.Constants.eps);
Real N9(start=Modelica.Constants.eps);
Real N10(start=Modelica.Constants.eps);
Real N11(start=Modelica.Constants.eps);
Real N12(start=Modelica.Constants.eps);
Real N13(start=Modelica.Constants.eps);
Real N14(start=Modelica.Constants.eps);
Real N15(start=Modelica.Constants.eps);
Real A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,Atot;

equation
A1=log(2)/T1 * N1;
A2=log(2)/T2 * N2;
A3=log(2)/T3 * N3;
A4=log(2)/T4 * N4;
A5=log(2)/T5 * N5;
A6=log(2)/T6 * N6;
A7=log(2)/T7 * N7;
A8=log(2)/T8 * N8;
A9=log(2)/T9 * N9;
A10=log(2)/T10 * N10;
A11=log(2)/T11 * N11;
A12=log(2)/T12 * N12;
A13=log(2)/T13 * N13;
A14=log(2)/T14 * N14;

der(N1)=-A1;
der(N2)=+A1-A2;
der(N3)=+A2-A3;
der(N4)=+A3-A4;
der(N5)=+A4-A5;
der(N6)=+A5-A6;
der(N7)=+A6-A7;
der(N8)=+A7-A8;
der(N9)=+A8-A9;
der(N10)=+A9-A10;
der(N11)=+A10-A11;
der(N12)=+A11-A12;
der(N13)=+A12-A13;
der(N14)=+A13-A14;
der(N15)=+A14;

Atot=A1+A2+A3+A4+A5+A6+A7+A8+A9+A10+A11+A12+A13+A14;
end Uranium;